Bug 1391183 - [abrt] mediawriter: pushbuf_kref(): mediawriter killed by SIGSEGV
Summary: [abrt] mediawriter: pushbuf_kref(): mediawriter killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5fa525d427f511d77a0fd3c275e...
Depends On:
Blocks: F25FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-11-02 17:49 UTC by joel
Modified: 2016-11-28 20:21 UTC (History)
2 users (show)

Fixed In Version: mediawriter-4.0.4-0.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 13:33:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (64.18 KB, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: cgroup (148 bytes, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: core_backtrace (6.47 KB, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: dso_list (15.28 KB, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: environ (1.49 KB, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: exploitable (82 bytes, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: limits (1.29 KB, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: maps (74.82 KB, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: mountinfo (4.65 KB, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: namespaces (102 bytes, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: open_fds (1.87 KB, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-11-02 17:49 UTC, joel
no flags Details

Description joel 2016-11-02 17:49:32 UTC
Description of problem:
Started Fedora Media Writer
Selected Workstation
Selected Create Live USB
Crash!

Version-Release number of selected component:
mediawriter-3.97.1-0.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        mediawriter
crash_function: pushbuf_kref
executable:     /usr/bin/mediawriter
global_pid:     3282
kernel:         4.8.4-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pushbuf_kref at pushbuf.c:165
 #1 pushbuf_validate at pushbuf.c:506
 #2 nouveau_pushbuf_validate at pushbuf.c:753
 #3 nv50_state_validate at nv50/nv50_state_validate.c:554
 #4 nv50_state_validate_3d at nv50/nv50_state_validate.c:564
 #5 nv50_draw_vbo at nv50/nv50_vbo.c:793
 #6 st_draw_vbo at state_tracker/st_draw.c:251
 #7 vbo_validated_drawrangeelements at vbo/vbo_exec_array.c:850
 #8 vbo_exec_DrawElements at vbo/vbo_exec_array.c:986
 #9 QOpenGLFunctions::glDrawElements at /usr/include/qt5/QtGui/qopenglfunctions.h:728

Comment 1 joel 2016-11-02 17:49:36 UTC
Created attachment 1216660 [details]
File: backtrace

Comment 2 joel 2016-11-02 17:49:36 UTC
Created attachment 1216661 [details]
File: cgroup

Comment 3 joel 2016-11-02 17:49:37 UTC
Created attachment 1216662 [details]
File: core_backtrace

Comment 4 joel 2016-11-02 17:49:38 UTC
Created attachment 1216663 [details]
File: dso_list

Comment 5 joel 2016-11-02 17:49:39 UTC
Created attachment 1216664 [details]
File: environ

Comment 6 joel 2016-11-02 17:49:40 UTC
Created attachment 1216665 [details]
File: exploitable

Comment 7 joel 2016-11-02 17:49:41 UTC
Created attachment 1216666 [details]
File: limits

Comment 8 joel 2016-11-02 17:49:42 UTC
Created attachment 1216667 [details]
File: maps

Comment 9 joel 2016-11-02 17:49:44 UTC
Created attachment 1216668 [details]
File: mountinfo

Comment 10 joel 2016-11-02 17:49:45 UTC
Created attachment 1216669 [details]
File: namespaces

Comment 11 joel 2016-11-02 17:49:49 UTC
Created attachment 1216670 [details]
File: open_fds

Comment 12 joel 2016-11-02 17:49:49 UTC
Created attachment 1216671 [details]
File: proc_pid_status

Comment 13 joel 2016-11-02 17:49:50 UTC
Created attachment 1216672 [details]
File: var_log_messages

Comment 14 Martin Bříza 2016-11-03 15:41:28 UTC
Thank you for this report. Seems there's a problem with QML rendering in two windows at a time. I'll have to move the dialogs inside the main window and remove the forced QSG loop model.

Comment 15 Fedora Blocker Bugs Application 2016-11-03 17:20:35 UTC
Proposed as a Freeze Exception for 25-final by Fedora user mbriza using the blocker tracking app because:

 This bug affects FMW users with nouveau graphics cards. Due to a workaround for performance issues, a different thread model for QML rendering was forced, resulting in instability on some hardware. Now there's another solution in place (using a single window instead of a window with multiple dialogs) that provides solution to the stability problem and it doesn't come with a performance hit.

Comment 16 Geoffrey Marr 2016-11-08 01:04:14 UTC
Discussed during the 2016-11-07 blocker review meeting: [1]

The decision was made to classify this bug as an AcceptedFreezeException.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-11-07/f25-blocker-review.2016-11-07-17.01.txt

Comment 17 Fedora Update System 2016-11-11 08:09:20 UTC
mediawriter-4.0.4-0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-239cdfbfd6

Comment 18 Fedora Update System 2016-11-11 16:57:58 UTC
mediawriter-4.0.4-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-239cdfbfd6

Comment 19 Fedora Update System 2016-11-15 13:33:59 UTC
mediawriter-4.0.4-0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.